# DoctypeDeclaration Class Reference
[Various accompanying utilities]

Inline DTD: <!DOCTYPE greeting [ <!ELEMENT greeting (PCDATA)> ]> More...

Inheritance diagram for DoctypeDeclaration:
[legend]

List of all members.

## Public Member Functions

| setRootElement ($rootElement)
| getRootElement ()
| setInline ($isInline)
| isInline ()
| setPublic ($isPublic)
| isPublic ()
| isSystem ()
| setDeclarations ($declarations)
| getDeclarations ()
| setFpi ($fpi)
| getFpi ()
| setUri ($uri)
| getUri ()
| parse ($string)
| toString ()

## Static Public Member Functions

static | create ()

## Public Attributes

const | SPACER_MASK = '[ \r\n\t]'
const | ID_FIRST_CHAR_MASK = '[A-Za-z]'
const | ID_CHAR_MASK = '[-_:.A-Za-z0-9]'

## Protected Attributes

| $fpi = null

## Private Attributes

| $rootElement = null
| $inline = false
| $declarations = null
| $public = false
| $uri = null

## Detailed Description

Inline DTD: <!DOCTYPE greeting [ <!ELEMENT greeting (PCDATA)> ]>

System DTD: <!DOCTYPE greeting SYSTEM "hello.dtd">

Public DTD: <!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.0//EN" "http://www.w3.org/TR/2001/REC-SVG-20010904/DTD/svg10.dtd"> or <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN">

Definition at line 29 of file DoctypeDeclaration.class.php.

## Member Function Documentation

static DoctypeDeclaration::create | ( |  | ) | `[static]`

Returns:
  DoctypeDeclaration

Reimplemented in CommonDoctypeDeclaration.

Definition at line 49 of file DoctypeDeclaration.class.php.

DoctypeDeclaration::getDeclarations | ( |  | ) |

Definition at line 120 of file DoctypeDeclaration.class.php.

DoctypeDeclaration::getFpi | ( |  | ) |

Reimplemented in CommonDoctypeDeclaration.

Definition at line 135 of file DoctypeDeclaration.class.php.

Referenced by toString().

DoctypeDeclaration::getRootElement | ( |  | ) |

Definition at line 64 of file DoctypeDeclaration.class.php.

DoctypeDeclaration::getUri | ( |  | ) |

Definition at line 150 of file DoctypeDeclaration.class.php.

DoctypeDeclaration::isInline | ( |  | ) |

Definition at line 82 of file DoctypeDeclaration.class.php.

DoctypeDeclaration::isPublic | ( |  | ) |

Definition at line 100 of file DoctypeDeclaration.class.php.

DoctypeDeclaration::isSystem | ( |  | ) |

Definition at line 105 of file DoctypeDeclaration.class.php.

DoctypeDeclaration::parse | ( | $ | string | ) |

Returns:
  DoctypeDeclaration

sample argument: html PUBLIC "-//W3C//DTD XHTML 1.1//EN"

Definition at line 160 of file DoctypeDeclaration.class.php.

References setFpi().

Here is the call graph for this function:

DoctypeDeclaration::setDeclarations | ( | $ | declarations | ) |

Returns:
  DoctypeDeclaration

Definition at line 113 of file DoctypeDeclaration.class.php.

References $declarations.

DoctypeDeclaration::setFpi | ( | $ | fpi | ) |

Returns:
  DoctypeDeclaration

Reimplemented in CommonDoctypeDeclaration.

Definition at line 128 of file DoctypeDeclaration.class.php.

References $fpi.

Referenced by parse().

DoctypeDeclaration::setInline | ( | $ | isInline | ) |

Returns:
  DoctypeDeclaration

Definition at line 72 of file DoctypeDeclaration.class.php.

References Assert::isBoolean().

Here is the call graph for this function:

DoctypeDeclaration::setPublic | ( | $ | isPublic | ) |

Returns:
  DoctypeDeclaration

Definition at line 90 of file DoctypeDeclaration.class.php.

References Assert::isBoolean().

Here is the call graph for this function:

DoctypeDeclaration::setRootElement | ( | $ | rootElement | ) |

Returns:
  DoctypeDeclaration

Definition at line 57 of file DoctypeDeclaration.class.php.

References $rootElement.

DoctypeDeclaration::setUri | ( | $ | uri | ) |

Returns:
  DoctypeDeclaration

Definition at line 143 of file DoctypeDeclaration.class.php.

References $uri.

DoctypeDeclaration::toString | ( |  | ) |

Definition at line 221 of file DoctypeDeclaration.class.php.

References getFpi().

Here is the call graph for this function:

## Member Data Documentation

DoctypeDeclaration::$declarations = null`[private]`

Definition at line 40 of file DoctypeDeclaration.class.php.

Referenced by setDeclarations().

DoctypeDeclaration::$fpi = null`[protected]`

Definition at line 35 of file DoctypeDeclaration.class.php.

Referenced by setFpi(), and CommonDoctypeDeclaration::setFpi().

DoctypeDeclaration::$inline = false`[private]`

Definition at line 39 of file DoctypeDeclaration.class.php.

DoctypeDeclaration::$public = false`[private]`

Definition at line 42 of file DoctypeDeclaration.class.php.

DoctypeDeclaration::$rootElement = null`[private]`

Definition at line 37 of file DoctypeDeclaration.class.php.

Referenced by setRootElement().

DoctypeDeclaration::$uri = null`[private]`

Definition at line 44 of file DoctypeDeclaration.class.php.

Referenced by setUri().

const DoctypeDeclaration::ID_CHAR_MASK = '[-_:.A-Za-z0-9]'

Definition at line 33 of file DoctypeDeclaration.class.php.

const DoctypeDeclaration::ID_FIRST_CHAR_MASK = '[A-Za-z]'

Definition at line 32 of file DoctypeDeclaration.class.php.

const DoctypeDeclaration::SPACER_MASK = '[ \r\n\t]'

Definition at line 31 of file DoctypeDeclaration.class.php.

The documentation for this class was generated from the following file:

- main/Utils/DoctypeDeclaration.class.php